# Class CommitListXml

java.lang.Object
net.sf.statcvs.pages.xml.CommitListXml

public class CommitListXml extends Object
This is a mere copy of the CommitListFormatter class with dfew minor changes done Class for formatting a list of commits as XML.

Version:
  $Id: CommitListXml.java,v 1.4 2008/04/02 11:52:02 benoitx Exp $
Author:
  Anja Jentzsch, Richard Cyganiak (richard@cyganiak.de)

## Constructor Summary

Constructors
Constructor
Description
`CommitListXml(List commits, List tags, boolean withPermalinks)`
Creates a new instance for the list of commits.
`CommitListXml(List commit, List tags, int max, boolean withPermalinks)`
Creates a new instance for the list of commits.

## Method Summary

Modifier and Type
Method
Description
`org.jdom.Element`
`renderCommitList(List commitList)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CommitListXml

public CommitListXml(List commits, List tags, boolean withPermalinks)
Creates a new instance for the list of commits.

Parameters:
  `commits` - A list of `Commit` objects

### CommitListXml

public CommitListXml(List commit, List tags, int max, boolean withPermalinks)
Creates a new instance for the list of commits.

Parameters:
  `max` - maximum number of commits for the log; if there are more, only the most recent will be used
  `commits` - A list of `Commit` objects

## Method Details

### renderCommitList

public org.jdom.Element renderCommitList(List commitList)